Автор Тема: [Решено] Проблема с драйверами ati  (Прочитано 9529 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн luny

  • Пользователь
  • *
  • Сообщений: 10
Всем привет. Установил Debian 7, но в нем без драйверов отказывается запускаться Gnome 3. Пытался установить по этой http://wiki.debian.org/ru/ATIProprietary#Wheezy.2FSid инструкции,предварительно добавив репозиторий deb http://ftp.ru.debian.org/debian testing non-free , но так ничего и не получилось. Пробовал ставить пакеты драйверов которые описаны в инструкции на вики через Synaptic, но при попытке установить пакет вылазила ошибка о том, что сначала необходимо исправить проблемы с зависимостями. Подскажите как быть и что я делаю не так? Заранее спасибо.  :)

P.S Буквально 2-3 недели назад драйвера ставились без проблем.
« Последнее редактирование: 11 Мая 2013, 10:20:32 от qupl »
 

Оффлайн ogost

Re: Проблема с драйверами ati
« Ответ #1 : 03 Мая 2013, 06:09:33 »
точнее описывайте проблему. тоже могу сказать "ключ поворачиваю а машина не заводится что я делаю не так?"

Оффлайн luny

  • Пользователь
  • *
  • Сообщений: 10
Re: Проблема с драйверами ati
« Ответ #2 : 03 Мая 2013, 06:38:54 »
Если точнее, то не ставится драйвер  fglrx-driver из репозитория. Через Synaptic ошибка связанная с зависимостями. При попытке ее исправить вылетает следующее сообщение: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
 

Оффлайн ogost

Re: Проблема с драйверами ati
« Ответ #3 : 03 Мая 2013, 06:43:07 »
через aptitude попробуйте и вывод ошибки сюда.

Оффлайн luny

  • Пользователь
  • *
  • Сообщений: 10
Re: Проблема с драйверами ati
« Ответ #4 : 03 Мая 2013, 16:55:26 »
Через aptitude выдает следующее:
Spoiler: ShowHide
root@debian:/home/luny# aptitude install fglrx-driver
Следующие НОВЫЕ пакеты будут установлены:       
  fglrx-driver{b} libfglrx{a} libfglrx-amdxvba1{a} libgl1-fglrx-glx{ab}
РЕКОМЕНДУЮТСЯ следующие пакеты, но автоматически они установлены НЕ БУДУТ:
  fglrx-atieventsd fglrx-glx-ia32 fglrx-modules-dkms
0 пакетов обновлено, 4 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 25,5 MB архивов. После распаковки 79,5 MB будет занято.
Следующие пакеты имеют неудовлетворённые зависимости:
 libgl1-fglrx-glx : Зависит: glx-alternative-fglrx (>= 0.2) который является виртуальным пакетом.
 fglrx-driver : Зависит: glx-alternative-fglrx (>= 0.2) который является виртуальным пакетом.
Следующие действия разрешат зависимости:

     Сохранить для следующих пакетов их текущие версии:         
1)     fglrx-driver [Не установлен]                             
2)     libfglrx-amdxvba1 [Не установлен]                       
3)     libgl1-fglrx-glx [Не установлен]                         

     Оставить следующие зависимости неразрешёнными:             
4)     libfglrx рекомендует libfglrx-amdxvba1 (= 1:12-6+point-3)


Принять данное решение? [Y/n/q/?] y
Ни одного пакета не будет установлено, обновлено или удалено.
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 0 B архивов. После распаковки 0 B будет занято.
                                                 
root@debian:/home/luny#



Содержание моего sources.list:

Spoiler: ShowHide
deb http://ftp.ru.debian.org/debian/ wheezy main
deb-src http://ftp.ru.debian.org/debian/ wheezy main

deb http://security.debian.org/ wheezy/updates main
deb-src http://security.debian.org/ wheezy/updates main

deb http://ftp.ru.debian.org/debian testing non-free


При попытке установить пакет  fglrx-driver через synaptic выдается сообщение: Невозможно выполнить изменения!
Сначала необходимо исправить ошибки в пакетах. При нажатии кнопки обновить сначала выдается сообщение: Невозможно получить все индексы репозитория

Возможно, репозиторий больше не доступен или к нему нет доступа из-за сетевых проблем. Будет использована старая версия индекса, если она имеется. В противном случае репозиторий будет игнорирован. Проверьте сетевое соединение и правильность написания адреса репозитория в настройках.

После выдается: Произошла ошибка
Предоставлены следующие подробности:
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
E: Невозможно заблокировать каталог списков

Сеть работает.
« Последнее редактирование: 03 Мая 2013, 17:06:14 от luny »
 

yura_n

  • Гость
Re: Проблема с драйверами ati
« Ответ #5 : 03 Мая 2013, 17:25:34 »
Посредством apt-get install попробуйте. aptitude более подробно работает с зависимостями и иногда просто "циклится".
 

Оффлайн luny

  • Пользователь
  • *
  • Сообщений: 10
Re: Проблема с драйверами ati
« Ответ #6 : 03 Мая 2013, 17:29:39 »
apt-get install выдает следующее:

Spoiler: ShowHide
root@debian:/home/luny# apt-get install fglrx-driver
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 fglrx-driver : Зависит: glx-alternative-fglrx (>= 0.2) но он не может быть установлен
                Рекомендует: libgl1-fglrx-glx (= 1:12-6+point-3) но он не будет установлен
                Рекомендует: libgl1-fglrx-glx-i386 но он не может быть установлен
                Рекомендует: fglrx-atieventsd но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
root@debian:/home/luny#
 

yura_n

  • Гость
Re: Проблема с драйверами ati
« Ответ #7 : 03 Мая 2013, 17:32:08 »
apt-get install glx-alternative-fglrx
Что говорит?
 

Оффлайн luny

  • Пользователь
  • *
  • Сообщений: 10
Re: Проблема с драйверами ati
« Ответ #8 : 03 Мая 2013, 17:34:07 »
root@debian:/home/luny# apt-get install glx-alternative-fglrx
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Пакет glx-alternative-fglrx недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list

E: Для пакета «glx-alternative-fglrx» не найден кандидат на установку
root@debian:/home/luny#
 

yura_n

  • Гость
Re: Проблема с драйверами ati
« Ответ #9 : 03 Мая 2013, 17:35:46 »
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list
Ну вот вам и ответ.
 

Оффлайн luny

  • Пользователь
  • *
  • Сообщений: 10
Re: Проблема с драйверами ati
« Ответ #10 : 03 Мая 2013, 17:37:29 »
Репозиторий из которого я до этого успешно устанавливал драйвер добавлен.
Spoiler: ShowHide
deb http://ftp.ru.debian.org/debian testing non-free




Сообщение объединено: 03 Мая 2013, 17:43:17
Может стоит подождать,а когда Debian 7 станет stable уже устанавливать?  :)
« Последнее редактирование: 03 Мая 2013, 17:43:17 от luny »
 

yura_n

  • Гость
Re: Проблема с драйверами ati
« Ответ #11 : 03 Мая 2013, 17:46:36 »
Может стоит подождать,а когда Debian 7 станет stable уже устанавливать?  :)
Вероятно. Что-то у них там в репозиториях поменялось, поэтому надо или ждать, или пытаться компилировать все нужные пакеты вручную.
 

Оффлайн luny

  • Пользователь
  • *
  • Сообщений: 10
Re: Проблема с драйверами ati
« Ответ #12 : 03 Мая 2013, 17:52:08 »
Благодарю за помощь. Значит пока пересяду на версию 6.0.7 с Gnome 2. В 7.0 драйвера совсем не хотят ставится, а без них увы Gnome 3 работать отказывается. :) Если есть те, кто недавно поставил 7 версию Debian с Gnome 3,расскажите пожалуйста как Вы ставили драйвера.

P.S Я буквально недели 2 назад ради теста ставил Debian 7 на virtualbox и там драйвера ставились без проблем, и Gnome 3 тоже работал без тормозов. Потом потестировав и пощупав все это на виртуалке,решил поставить Debian 7 как основную ОС и сразу начались проблемы. Может просто не судьба?  :D
 

Tario

  • Гость
Re: Проблема с драйверами ati
« Ответ #13 : 08 Мая 2013, 09:00:16 »
Если есть те, кто недавно поставил 7 версию Debian с Gnome 3,расскажите пожалуйста как Вы ставили драйвера.
Я есть. Драйвера ставил как в Ubuntu 12.04( Ручное руководство).
P.S Я буквально недели 2 назад ради теста ставил Debian 7 на virtualbox и там драйвера ставились без проблем, и Gnome 3 тоже работал без тормозов. Потом потестировав и пощупав все это на виртуалке,решил поставить Debian 7 как основную ОС и сразу начались проблемы. Может просто не судьба? 
Почитайте WIKI Ubuntu- 90% руководств и к Debian подходят.
« Последнее редактирование: 08 Мая 2013, 09:05:27 от Tario »
 

Оффлайн Udachnik

Re: Проблема с драйверами ati
« Ответ #14 : 08 Мая 2013, 09:08:57 »
luny, если вы ещё сюда загляните, обратите внимание, что пакет glx-alternative-fglrx находится в секции contrib, которая у вас не подключена. Приведите sources.list в вид
Spoiler: ShowHide
deb http://ftp.ru.debian.org/debian/ wheezy main contrib non-free
deb-src http://ftp.ru.debian.org/debian/ wheezy main

deb http://security.debian.org/ wheezy/updates main
deb-src http://security.debian.org/ wheezy/updates main

и всё установится.
 

Теги:
     

    [Решено] нет звука ATI SBx00 Azalia (Intel HDA)

    Автор Dtctkrjd

    Ответов: 26
    Просмотров: 14380
    Последний ответ 20 Марта 2013, 10:12:55
    от calambus
    [Решено] Пропадает звук в Debian 9

    Автор amdir

    Ответов: 0
    Просмотров: 2246
    Последний ответ 12 Июля 2017, 14:28:26
    от amdir
    [РЕШЕНО] Установка аудиоплеера Deadbeef

    Автор polzovatel

    Ответов: 10
    Просмотров: 7039
    Последний ответ 10 Апреля 2011, 21:40:23
    от StrangerX600
    [РЕШЕНО] не работает flash

    Автор fry

    Ответов: 26
    Просмотров: 6965
    Последний ответ 07 Июня 2014, 19:55:42
    от nik.ilim
    [Решено]Как настроить не рабочий вывод звука HDMI

    Автор Vacka

    Ответов: 11
    Просмотров: 10089
    Последний ответ 04 Ноября 2013, 14:16:19
    от Malaheenee